Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Literal_Constraint Class Reference

TAO_Literal_Constraint represents a literal occuring in the constraint expression tree. More...

`#include <Constraint_Nodes.h>`

Inheritance diagram for TAO_Literal_Constraint:

[legend]
Collaboration diagram for TAO_Literal_Constraint:

[legend]
List of all members.

## Public Methods
| TAO_Literal_Constraint (void)
| TAO_Literal_Constraint (CORBA::Any *any)
| TAO_Literal_Constraint (CORBA::ULong uinteger)
| TAO_Literal_Constraint (CORBA::Long integer)
| TAO_Literal_Constraint (CORBA::Boolean boolean)
| TAO_Literal_Constraint (CORBA::Double doub)
| TAO_Literal_Constraint (const char *str)
| TAO_Literal_Constraint (const TAO_Literal_Constraint &lit)
| Copy constructor.
| ~TAO_Literal_Constraint (void)
| Destructor.
virtual int | accept (TAO_Constraint_Visitor *visitor)
| Visitor accept methods.
virtual TAO_Expression_Type | expr_type (void) const
| Return the expression type represented by this node.
void | operator= (const TAO_Literal_Constraint &co)
| Assignment operator.
| operator CORBA::Boolean (void) const
| operator CORBA::ULong (void) const
| operator CORBA::Long (void) const
| operator CORBA::Double (void) const
| operator const char * (void) const
| operator const CORBA::Any * (void) const
## Static Public Methods
TAO_Expression_Type | widest_type (const TAO_Literal_Constraint &left, const TAO_Literal_Constraint &right)
| Ensure both operands are of the same simple numeric type.
TAO_Expression_Type | comparable_type (CORBA::TypeCode_ptr type)
| Determine the comparable Expression Type from the CORBA type.
## Private Methods
void | copy (const TAO_Literal_Constraint &co)
| Private copy method.
## Private Attributes
union {
char * str_
CORBA::Any_ptr any_
CORBA::ULong uinteger_
CORBA::Long integer_
CORBA::Boolean bool_
CORBA::Double double_
} | op_
TAO_Expression_Type | type_
| The actual types of the TAO_Literal_Constraint.
## Friends
int | operator< (const TAO_Literal_Constraint &left, const TAO_Literal_Constraint &right)
int | operator<= (const TAO_Literal_Constraint &left, const TAO_Literal_Constraint &right)
int | operator> (const TAO_Literal_Constraint &left, const TAO_Literal_Constraint &right)
int | operator>= (const TAO_Literal_Constraint &left, const TAO_Literal_Constraint &right)
int | operator== (const TAO_Literal_Constraint &left, const TAO_Literal_Constraint &right)
int | operator!= (const TAO_Literal_Constraint &left, const TAO_Literal_Constraint &right)
int | operator== (double left, const TAO_Literal_Constraint &right)
int | operator== (const TAO_String_Manager &left, const TAO_Literal_Constraint &right)
TAO_Literal_Constraint | operator+ (const TAO_Literal_Constraint &left, const TAO_Literal_Constraint &right)
TAO_Literal_Constraint | operator- (const TAO_Literal_Constraint &left, const TAO_Literal_Constraint &right)
TAO_Literal_Constraint | operator * (const TAO_Literal_Constraint &left, const TAO_Literal_Constraint &right)
TAO_Literal_Constraint | operator/ (const TAO_Literal_Constraint &left, const TAO_Literal_Constraint &right)
TAO_Literal_Constraint | operator- (const TAO_Literal_Constraint &operand)

## Detailed Description

TAO_Literal_Constraint represents a literal occuring in the constraint expression tree.

## Constructor & Destructor Documentation

TAO_Literal_Constraint::TAO_Literal_Constraint | ( | void |  | ) | `[inline]`

TAO_Literal_Constraint::TAO_Literal_Constraint | ( | CORBA::Any * | any | ) |

TAO_Literal_Constraint::TAO_Literal_Constraint | ( | CORBA::ULong | uinteger | ) |

TAO_Literal_Constraint::TAO_Literal_Constraint | ( | CORBA::Long | integer | ) |

TAO_Literal_Constraint::TAO_Literal_Constraint | ( | CORBA::Boolean | boolean | ) |

TAO_Literal_Constraint::TAO_Literal_Constraint | ( | CORBA::Double | doub | ) |

TAO_Literal_Constraint::TAO_Literal_Constraint | ( | const char * | str | ) |

TAO_Literal_Constraint::TAO_Literal_Constraint | ( | const TAO_Literal_Constraint & | lit | ) |

| Copy constructor.

TAO_Literal_Constraint::~TAO_Literal_Constraint | ( | void |  | ) |

| Destructor.

## Member Function Documentation

int TAO_Literal_Constraint::accept | ( | TAO_Constraint_Visitor * | visitor | ) | `[virtual]`

| Visitor accept methods. Implements TAO_Constraint.

TAO_Expression_Type TAO_Literal_Constraint::comparable_type | ( | CORBA::TypeCode_ptr | type | ) | `[static]`

| Determine the comparable Expression Type from the CORBA type.

void TAO_Literal_Constraint::copy | ( | const TAO_Literal_Constraint & | co | ) | `[private]`

| Private copy method.

virtual TAO_Expression_Type TAO_Literal_Constraint::expr_type | ( | void |  | ) | const`[inline, virtual]`

| Return the expression type represented by this node. Implements TAO_Constraint.

TAO_Literal_Constraint::operator const char * | ( | void |  | ) | const

TAO_Literal_Constraint::operator const CORBA::Any * | ( | void |  | ) | const

TAO_Literal_Constraint::operator CORBA::Boolean | ( | void |  | ) | const

TAO_Literal_Constraint::operator CORBA::Double | ( | void |  | ) | const

TAO_Literal_Constraint::operator CORBA::Long | ( | void |  | ) | const

TAO_Literal_Constraint::operator CORBA::ULong | ( | void |  | ) | const

void TAO_Literal_Constraint::operator= | ( | const TAO_Literal_Constraint & | co | ) |

| Assignment operator.

TAO_Expression_Type TAO_Literal_Constraint::widest_type | ( | const TAO_Literal_Constraint & | left,
|  | const TAO_Literal_Constraint & | right
| ) | `[static]`

| Ensure both operands are of the same simple numeric type.

## Friends And Related Function Documentation

TAO_Literal_Constraint operator * | ( | const TAO_Literal_Constraint & | left,
|  | const TAO_Literal_Constraint & | right
| ) | `[friend]`

int operator!= | ( | const TAO_Literal_Constraint & | left,
|  | const TAO_Literal_Constraint & | right
| ) | `[friend]`

TAO_Literal_Constraint operator+ | ( | const TAO_Literal_Constraint & | left,
|  | const TAO_Literal_Constraint & | right
| ) | `[friend]`

TAO_Literal_Constraint operator- | ( | const TAO_Literal_Constraint & | operand | ) | `[friend]`

TAO_Literal_Constraint operator- | ( | const TAO_Literal_Constraint & | left,
|  | const TAO_Literal_Constraint & | right
| ) | `[friend]`

TAO_Literal_Constraint operator/ | ( | const TAO_Literal_Constraint & | left,
|  | const TAO_Literal_Constraint & | right
| ) | `[friend]`

int operator< | ( | const TAO_Literal_Constraint & | left,
|  | const TAO_Literal_Constraint & | right
| ) | `[friend]`

int operator<= | ( | const TAO_Literal_Constraint & | left,
|  | const TAO_Literal_Constraint & | right
| ) | `[friend]`

int operator== | ( | const TAO_String_Manager & | left,
|  | const TAO_Literal_Constraint & | right
| ) | `[friend]`

int operator== | ( | double | left,
|  | const TAO_Literal_Constraint & | right
| ) | `[friend]`

int operator== | ( | const TAO_Literal_Constraint & | left,
|  | const TAO_Literal_Constraint & | right
| ) | `[friend]`

int operator> | ( | const TAO_Literal_Constraint & | left,
|  | const TAO_Literal_Constraint & | right
| ) | `[friend]`

int operator>= | ( | const TAO_Literal_Constraint & | left,
|  | const TAO_Literal_Constraint & | right
| ) | `[friend]`

## Member Data Documentation

CORBA::Any_ptr TAO_Literal_Constraint::any_`[private]`

CORBA::Boolean TAO_Literal_Constraint::bool_`[private]`

CORBA::Double TAO_Literal_Constraint::double_`[private]`

CORBA::Long TAO_Literal_Constraint::integer_`[private]`

union { ... } TAO_Literal_Constraint::op_`[private]`

char* TAO_Literal_Constraint::str_`[private]`

TAO_Expression_Type TAO_Literal_Constraint::type_`[private]`

| The actual types of the TAO_Literal_Constraint.

CORBA::ULong TAO_Literal_Constraint::uinteger_`[private]`

The documentation for this class was generated from the following files:

- Constraint_Nodes.h
- Constraint_Nodes.cpp